PrimerTestaModul2/eBanking/eBanking/Models/Uplatnica.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace eBanking.Models
{
    public class Uplatnica
    {
        public int Id { get; set; }
        public Racun Racun { get; set; }

        [Required]
        [StringLength(20, MinimumLength = 3)]
        [RegularExpression("[A-Z][A-Za-z ]*")]
        public string Uplatilac { get; set; }

        [Range(1, Int32.MaxValue)]
        public double IznosUplate { get; set; }
        public DateTime DatumUplate { get; set; }

        [Required]
        [StringLength(20, MinimumLength = 3)]
        [RegularExpression("[A-Z][A-Za-z ]*")]
        public string SvrhaUplate { get; set; }
        public bool Hitno { get; set; }
    }
}

PrimerTestaModul2/eBanking/eBanking/Controllers/UplatnicaController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using eBanking.Models;
using eBanking.Repository;
using eBanking.Repository.Interfaces;
using eBanking.ViewModels;

namespace eBanking.Controllers
{
    public class UplatnicaController : Controller
    {
        private IRacunRepository racunRepo = new RacunRepository();
        private IUplatnicaRepository uplatnicaRepo = new UplatnicaRepository();
        // GET: Uplatnica
        public ActionResult Index(int id)
        {
            UplatnicaRacunViewModel vm = new UplatnicaRacunViewModel();
            var racuni = racunRepo.GetAll();
            var uplatnice = uplatnicaRepo.GetAll();
            List<Uplatnica> upl = new List<Uplatnica>();
            double ukupno = 0;
            foreach (Uplatnica u in uplatnice)
            {
                if (u.Racun.Id == id)
                {
                    ukupno += u.IznosUplate;
                    upl.Add(u);
                }
            }

            vm.Uplatnice = upl;
           
            foreach (Racun r in racuni)
            {
                if (r.Id == id)
                {
                    vm.Racun = r;
                }
            }
            vm.Racun.Ukupno = ukupno;
            return View(vm);
        }

        public ActionResult Details(int id)
        {
            var uplatnica = uplatnicaRepo.GetById(id);
            return View(uplatnica);
        }
        
        public ActionResult Create()
        {
            var racuni = racunRepo.GetAll();

            UplatnicaRacunViewModel vm = new UplatnicaRacunViewModel()
            {
                Racuni = racuni.ToList()
            };

            return View(vm);
        }

        [HttpPost]
        public ActionResult Create(Uplatnica uplatnica)
        {
            uplatnicaRepo.Create(uplatnica);
            return RedirectToAction("Index", "Racun");
        }
        
        public ActionResult Edit(int id)
        {
            var uplatnica = uplatnicaRepo.GetById(id);
            var racuni = racunRepo.GetAll();

            var vm = new UplatnicaRacunViewModel
            {
                Uplatnica = uplatnica,
                Racuni = racuni.ToList()
            };

            return View(vm);
        }
        
        [HttpPost]
        public ActionResult Edit(int id, UplatnicaRacunViewModel vm)
        {
            
                string uplatilac = vm.Uplatnica.Uplatilac;
                double iznos = vm.Uplatnica.IznosUplate;
                DateTime datum = vm.Uplatnica.DatumUplate;
                string svrha = vm.Uplatnica.SvrhaUplate;
                bool hitno = vm.Uplatnica.Hitno;
                int racunId = vm.Uplatnica.Racun.Id;

                var updateUplatnica = new Uplatnica() { Id = id, Uplatilac = uplatilac, DatumUplate = datum, IznosUplate = iznos, SvrhaUplate = svrha, Hitno = hitno, Racun = racunRepo.GetById(racunId) };

                uplatnicaRepo.Update(updateUplatnica);

                return RedirectToAction("Index", "Racun");
            

        }
        
        public ActionResult Delete(int id)
        {
            uplatnicaRepo.Delete(id);
            return RedirectToAction("Index", "Racun");
        }
    }
}

PrimerTestaModul2/eBanking/eBanking/Views/Uplatnica/Edit.cshtml
@using eBanking.ViewModels
@model UplatnicaRacunViewModel

@{
    ViewBag.Title = "Edit";
}

<h1>Izmeni transakciju: </h1>
<br />
@using (Html.BeginForm("Edit", "Uplatnica", FormMethod.Post))
{
    <input type="hidden" name="Uplatnica.Hitno" value="@Model.Uplatnica.Hitno" />
    <input type="hidden" name="Uplatnica.Id" value="@Model.Uplatnica.Id" />
    <table>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.Racun)</td>
            <td>@Html.DropDownListFor(m => m.Uplatnica.Racun.Id, new SelectList(Model.Racuni, "Id", "Nosilac"))</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.Uplatilac)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.Uplatilac, new { @value = "Uplatnica.Uplatilac", @class = "form-control", @placeholder = "transant" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.Uplatilac)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.IznosUplate)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.IznosUplate, new { @value = "Uplatnica.IznosUplate", @class = "form-control", @placeholder = "iznos" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.IznosUplate)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.DatumUplate)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.DatumUplate, new { @value = "Uplatnica.DatumUplate", @class = "form-control", @placeholder = "дд.мм.гггг" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.DatumUplate)</td>
        </tr>
        <tr>
            <td>@Html.LabelFor(m => m.Uplatnica.SvrhaUplate)</td>
            <td>@Html.TextBoxFor(m => m.Uplatnica.SvrhaUplate, new { @value = "Uplatnica.SvrhaUplate", @class = "form-control", @placeholder = "svrha" })</td>
            <td>@Html.ValidationMessageFor(m => m.Uplatnica.SvrhaUplate)</td>
        </tr>
        <tr>
            <td><input type="submit" value="Izvrsi transakciju" class="btn btn-default" /></td>
            <td></td>
        </tr>
    </table>
}
<hr />
<a style="color: blue" href="~/Racun/Index">Povratak na glavnu stranicu</a>

PrimerTestaModul2/eBanking/eBanking/Views/Uplatnica/Index.cshtml
@using eBanking.ViewModels
@model UplatnicaRacunViewModel
@{
    ViewBag.Title = "Index";
}
<link href="~/Content/styles.css" rel="stylesheet" />

<h1>Rad sa računom : @Model.Racun.Broj</h1>
<h2>Vlasnik racuna : @Model.Racun.Nosilac</h2>

<table border="1" class="table">
    <tr>
        <th>Transant</th>
        <th>Iznos uplate</th>
        <th>Datum prometa</th>
        <th>Svrha uplate</th>
        <th>Hitno</th>
        <th style="text-align:center" colspan="2"></th>
    </tr>

    @foreach (var item in Model.Uplatnice)
    {
        string hitno = "";
        if (item.Hitno == true)
        {
            hitno = "Da";
        }
        else
        {
            hitno = "Ne";
        }
        if (@item.IznosUplate > 0)
        {
            <tr style="background-color : forestgreen ">
                <td>@item.Uplatilac</td>
                <td>@item.IznosUplate</td>
                <td>@item.DatumUplate</td>
                <td>@item.SvrhaUplate</td>
                <td>@hitno</td>
                <td>@Html.ActionLink("Izmeni", "Edit", new { Id = item.Id })</td>
                <td>@Html.ActionLink("Obrisi", "Delete", new { Id = item.Id })</td>
            </tr>
        }
        else if (@item.IznosUplate < 0)
        {
            <tr style="background-color : red ">
                <td>@item.Uplatilac</td>
                <td>@item.IznosUplate</td>
                <td>@item.DatumUplate</td>
                <td>@item.SvrhaUplate</td>
                <td>@hitno</td>
                <td>@Html.ActionLink("Izmeni", "Edit", new { Id = item.Id })</td>
                <td>@Html.ActionLink("Obrisi", "Delete", new { Id = item.Id })</td>
            </tr>
        }
    }
</table>
<h3>Ukupno stanje: @Model.Racun.Ukupno</h3>

<a style="color: blue" href="">Prikazi samo uplate</a> | <a style="color: blue" href="">Prikazi samo isplate</a>
<hr />

@{
    if (Model.Racun.Aktivan == false)
    {
        <h3>Racun deaktiviran, nemoguce izvrsavanje novih transakcija !</h3><br>
        <a style="color: blue" href="~/Racun/Index">Povratak na glavnu stranicu</a>
    }
    else
    {
        <h1>Izvrsi novu transakciju: </h1>
        <br />
        using (Html.BeginForm("Create", "Uplatnica", FormMethod.Post))
        {
            <input type="hidden" name="Uplatnica.Racun.Id" value="@Model.Racun.Id" />
            <table>

                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.Uplatilac)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.Uplatilac, new { @class = "form-control", @placeholder = "transant" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.Uplatilac)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.IznosUplate)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.IznosUplate, new { @class = "form-control", @placeholder = "iznos" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.IznosUplate)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.DatumUplate)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.DatumUplate, new { @class = "form-control", @placeholder = "дд.мм.гггг" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.DatumUplate)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.SvrhaUplate)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.SvrhaUplate, new { @class = "form-control", @placeholder = "svrha" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.SvrhaUplate)</td>
                </tr>
                <tr>
                    <td><input type="submit" value="Izvrsi transakciju" class="btn btn-default" /></td>
                    <td></td>
                </tr>
            </table>
        }
        <hr />
        <a style="color: blue" href="~/Racun/Index">Povratak na glavnu stranicu</a>

    }
}